Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1068747 (birdie)

Summary: Review Request: birdie - A twitter client for Linux
Product: [Fedora] Fedora Reporter: Ryan Lerch <rlerch>
Component: Package ReviewAssignee: Mukundan Ragavan <nonamedotc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i, nonamedotc, package-review
Target Milestone: ---Flags: nonamedotc: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://fedoraproject.org/wiki/Changes/PantheonDesktop
Whiteboard:
Fixed In Version: birdie-1.1-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-03 03:11:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1068850    

Description Ryan Lerch 2014-02-21 19:52:47 UTC
Spec URL: https://raw.github.com/ryanlerch/my-fedora-package-reviews/master/birdie/birdie.spec
SRPM URL: https://github.com/ryanlerch/my-fedora-package-reviews/raw/master/birdie/birdie-1.1-0.fc20.src.rpm
Description: A beautiful GNOME Twitter client for the Linux Desktop.
Fedora Account System Username: ryanlerch

Comment 1 Mukundan Ragavan 2014-02-21 21:26:21 UTC
Some quick comments - 

* gcc-c++ does not need to explicitly specified in BuildRequires
* source URL missing
--- https://github.com/birdieapp/birdie/archive/1.1.tar.gz

rpmlint output - 

birdie.x86_64: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/birdie.mo
birdie.x86_64: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/birdie.mo
birdie.x86_64: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/birdie.mo
birdie.x86_64: W: file-not-in-%lang /usr/share/locale/vi/LC_MESSAGES/birdie.mo
birdie.x86_64: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/birdie.mo
birdie.x86_64: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/birdie.mo
birdie.src: W: strange-permission birdie-1.1.tar.gz 0600L
birdie.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
birdie.src: W: invalid-url Source0: birdie-1.1.tar.gz
2 packages and 0 specfiles checked; 0 errors, 32 warnings.

Some information from minGW on file-not-in%lang
- http://fedoraproject.org/wiki/MinGW/Rpmlint#file-not-in-.25lang

Comment 2 Ryan Lerch 2014-02-21 21:55:14 UTC
(In reply to Mukundan Ragavan from comment #1)
> Some quick comments - 
> 
> * gcc-c++ does not need to explicitly specified in BuildRequires

Fixed.

> * source URL missing
> --- https://github.com/birdieapp/birdie/archive/1.1.tar.gz

That URL actually resolves to download birdie-1.1.tar.gz. Added a comment above the source0 line stating that this is the URL. Is there a better way to handle it?

> rpmlint output - 
> 
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/sv/LC_MESSAGES/birdie.mo
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/tr/LC_MESSAGES/birdie.mo
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/uk/LC_MESSAGES/birdie.mo
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/vi/LC_MESSAGES/birdie.mo
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/zh_CN/LC_MESSAGES/birdie.mo
> birdie.x86_64: W: file-not-in-%lang
> /usr/share/locale/zh_TW/LC_MESSAGES/birdie.mo
> birdie.src: W: strange-permission birdie-1.1.tar.gz 0600L
> birdie.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
> birdie.src: W: invalid-url Source0: birdie-1.1.tar.gz
> 2 packages and 0 specfiles checked; 0 errors, 32 warnings.
> 
> Some information from minGW on file-not-in%lang
> - http://fedoraproject.org/wiki/MinGW/Rpmlint#file-not-in-.25lang

removed the stray tab that got in there.

Also, how did you run rpmline to get the file-not-in%lang errors? I can not reproduce those.

Comment 3 Ryan Lerch 2014-02-21 22:17:20 UTC
(In reply to Ryan Lerch from comment #2)
> (In reply to Mukundan Ragavan from comment #1)
> > * source URL missing
> > --- https://github.com/birdieapp/birdie/archive/1.1.tar.gz
> 
> That URL actually resolves to download birdie-1.1.tar.gz. Added a comment
> above the source0 line stating that this is the URL. Is there a better way
> to handle it?
> 

Updated the source URL to the format in this thread:
https://lists.fedoraproject.org/pipermail/devel/2014-January/194210.html

and it works now. On my end, RPM lint is not producing any warnings anymore.

Comment 4 Mukundan Ragavan 2014-02-21 23:32:33 UTC
(In reply to Ryan Lerch from comment #2)
> 
> Also, how did you run rpmline to get the file-not-in%lang errors? I can not
> reproduce those.

The line below indicates it's the binary rpm. You can build the package in mock and run rpmlint on source and binary rpms which is what produced those rpmlint warnings. I ran fedora-review.

> > birdie.x86_64: W: file-not-in-%lang
> > /usr/share/locale/zh_TW/LC_MESSAGES/birdie.mo


Also, I will take this for review.

Comment 5 Mukundan Ragavan 2014-02-21 23:36:41 UTC
Just noticed - the release tag should start with 1 - as in - 1%{?dist}

Quoting from the naming guidelines - 

" ... The release number (referred to in some older documentation as a "vepoch") is how the maintainer marks build revisions, starting from 1. ..."

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag

Comment 6 Mukundan Ragavan 2014-02-22 00:13:01 UTC
Take a look at this page for handling locales - http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

I will do a more detailed review later tonight or tomorrow.

Comment 7 Christopher Meng 2014-02-22 02:21:59 UTC
Thanks for packaging birdie, I finally don't need to submit it by myself. 

1. Summary: A twitter client for Linux

Since we all use Linux, this summary looks not perfect, would you like to improve it? With some fantastic words if you can... 

2. I see an appdata file, I just talked with Richard, and I think we need to improve the guideline like desktop file, so please use that tool provided from appdata to validate or install the file.

Comment 8 Christopher Meng 2014-02-22 10:37:57 UTC
3. %description bad, please visit upstream and give some love here. 

4. Granite is going to be included in Fedora. You can add it later as BR.

Comment 9 Mukundan Ragavan 2014-02-22 20:52:01 UTC
Is the granite build requires needed for birdie to work in pantheon - because, it seems to build fine without granite at the moment ... (I can verify that again).

Comment 10 Christopher Meng 2014-02-23 11:59:16 UTC
(In reply to Mukundan Ragavan from comment #9)
> Is the granite build requires needed for birdie to work in pantheon -
> because, it seems to build fine without granite at the moment ... (I can
> verify that again).

It's an optional requirement, I will track it and file bug later after this gets approved.

So currently we don't need it.

Comment 11 Ryan Lerch 2014-02-23 13:57:07 UTC
(In reply to Christopher Meng from comment #7)
> Thanks for packaging birdie, I finally don't need to submit it by myself. 
> 
> 1. Summary: A twitter client for Linux
> 
> Since we all use Linux, this summary looks not perfect, would you like to
> improve it? With some fantastic words if you can... 

Summary is okay. It is concise, and accurately describes what birdie is.


> 
> 2. I see an appdata file, I just talked with Richard, and I think we need to
> improve the guideline like desktop file, so please use that tool provided
> from appdata to validate or install the file.

I have had reviews before that contain appdata files, and i included them in the same manner as this package. If you want the packaging guidelines changed, please email devel-list. This is not the best place to discuss new packaging guidlines. Leaving the appdata inclusion the same

Comment 12 Ryan Lerch 2014-02-23 14:01:08 UTC
(In reply to Christopher Meng from comment #8)
> 3. %description bad, please visit upstream and give some love here. 
 Please clarify what makes it "bad". I have no idea what you mean here. The description also concisely desribes what the birdie package is and does.

> 
> 4. Granite is going to be included in Fedora. You can add it later as BR.

granite is not in fedora, and is an optional BuildRequires. File a bug once the package is in.

Comment 13 Ryan Lerch 2014-02-23 14:11:18 UTC
(In reply to Mukundan Ragavan from comment #5)
> Just noticed - the release tag should start with 1 - as in - 1%{?dist}
> 
> Quoting from the naming guidelines - 
> 
> " ... The release number (referred to in some older documentation as a
> "vepoch") is how the maintainer marks build revisions, starting from 1. ..."
> 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag

Thanks Mukundan!

I have fixed this in this commit:
https://github.com/ryanlerch/my-fedora-package-reviews/commit/fad7d705244513a3730e63cb71087e13b7b4931a

cheers,
ryanlerch

Comment 14 Mukundan Ragavan 2014-02-23 14:20:48 UTC
That looks good Ryan. Please also fix the LOCALE issues as described in wiki (comment 6)

Comment 15 Ryan Lerch 2014-02-24 14:00:27 UTC
(In reply to Mukundan Ragavan from comment #14)
> That looks good Ryan. Please also fix the LOCALE issues as described in wiki
> (comment 6)

Thanks Mukundan!

Fixed the LOCALE issue with the following commit:
https://github.com/ryanlerch/my-fedora-package-reviews/commit/ad915157a2b06cfe040b4e5d862212b15c128fbd

cheers,
ryanlerch

Comment 16 Mukundan Ragavan 2014-02-24 18:39:35 UTC
That fixes the locale problem. There are few other issues. Please see below.

Also, please do a koji scratch build.

Please add 

BuildRequires: desktop-file-utils


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in birdie
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 41 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/birdie/licensecheck.txt

---> This looks fine.

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
     /usr/share/indicators, /usr/share/indicators/messages,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications

---> I have to look at it further.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/indicators,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications, /usr/share/appdata,
     /usr/share/locale/sr_RS@latin/LC_MESSAGES, /usr/share/indicators/messages

---> This looks fine.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in birdie
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in birdie
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.

---> It builds on mock for me. Please do a koji scratch build.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: birdie-1.1-1.fc20.x86_64.rpm
          birdie-1.1-1.fc20.src.rpm
birdie.x86_64: W: no-manual-page-for-binary birdie
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint birdie
birdie.x86_64: W: no-manual-page-for-binary birdie
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
birdie (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcanberra.so.0()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgtksourceview-3.0.so.1()(64bit)
    libjavascriptcoregtk-3.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpurple.so.0()(64bit)
    librest-0.7.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libwebkitgtk-3.0.so.0()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
birdie:
    application()
    application(birdie.desktop)
    birdie
    birdie(x86-64)
    mimehandler(x-scheme-handler/birdie)



Source checksums
----------------
https://github.com/birdieapp/birdie/archive/1.1/birdie-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : c9b652b157f09241197c859d2c77f14becaf1b1031b1d2140dcc052a6227a338
  CHECKSUM(SHA256) upstream package : c9b652b157f09241197c859d2c77f14becaf1b1031b1d2140dcc052a6227a338


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n /home/mukundan/rpmbuild/SRPMS/birdie-1.1-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 17 Mukundan Ragavan 2014-02-24 18:51:46 UTC
OK, I took care of the koji builds. The package builds on all architectures (with BR added spec file and SRPM).

http://koji.fedoraproject.org/koji/taskinfo?taskID=6566098

Please make sure BuildRequires: desktop-file-utils is added.

Comment 18 Ryan Lerch 2014-02-24 19:53:36 UTC
so all left to do is to add desktop-file-utils to the buildrequires?

Comment 19 Mukundan Ragavan 2014-02-24 19:59:39 UTC
And this,

Issues:
=======
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in birdie
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

Comment 20 Mukundan Ragavan 2014-02-24 20:32:48 UTC
I am looking at the packaging guidelines again to confirm the status on this - 

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
     /usr/share/indicators, /usr/share/indicators/messages,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications

---> I have to look at it further.

[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/indicators,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications, /usr/share/appdata,
     /usr/share/locale/sr_RS@latin/LC_MESSAGES, /usr/share/indicators/messages

---> I have to look at it further.

Comment 21 Ryan Lerch 2014-02-24 21:07:08 UTC
(In reply to Mukundan Ragavan from comment #19)
> And this,
> 
> Issues:
> =======
> - update-desktop-database is invoked in %post and %postun if package contains
>   desktop file(s) with a MimeType: entry.
>   Note: desktop file(s) with MimeType entry in birdie
>   See:
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

Okies, these two should be fixed in this commit:

https://github.com/ryanlerch/my-fedora-package-reviews/commit/55249ef30961e67cd3a0f4bfe4747cc084a2fee5

Also kicked off a koji build with this new version:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6566800

cheers,
ryanlerch

Comment 22 Mukundan Ragavan 2014-02-24 22:14:12 UTC
Ryan, That looks good. I think almost everything is done. Just a couple of minor issues and then I think it's done.

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
     /usr/share/indicators, /usr/share/indicators/messages,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications

[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/indicators,
     /usr/share/locale/sr_RS@latin,
     /usr/share/indicators/messages/applications, /usr/share/appdata,
     /usr/share/locale/sr_RS@latin/LC_MESSAGES, /usr/share/indicators/messages

Here, based on my discussion on #fedora-devel, we can ignore the messages about the locales since these should be owned by the filesystem.

The package must own /usr/share/indicators.

So, add in %files section

%{_datadir}/indicators/*

instead of /usr/share/indicators/messages/applications/birdie so that the directory is owned by the package.

Based on - https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_wholly_contained_in_your_package.2C_or_involves_core_functionality_of_your_package

I believe that should be it. 

If you could please fix that, upload the spec and srpm (link is broken), I can run fedora-review again (just in case) and approve the package.

Comment 23 Mukundan Ragavan 2014-02-24 22:43:47 UTC
Sorry! There is a typo - my comment should read as - 

add in %files section

%{_datadir}/indicators/

This will own everything under it.

Comment 24 Michael Schwendt 2014-02-25 00:07:00 UTC
> Summary:        A twitter client for Linux

Even more concise would be:

  Summary: Twitter client

Or, since the %description mentions "GNOME", also mention "GNOME" in the %summary if it's considered relevant.

https://fedoraproject.org/wiki/Examples_of_good_package_summaries

It's widely accepted practice to omit leading articles, such as "A", "An" and "The". There are exceptions, however.


> %description
> A beautiful GNOME Twitter client for Linux

The description ought to be built from full sentences including 	punctuation marks.

The upstream spec file at
  https://github.com/birdieapp/birdie/blob/master/birdie.spec
contains:

  Birdie is a beautiful Twitter client for Linux.

For the description and unlike %summary, it isn't a bad idea to repeat the program name with its correct spelling. For both summary and description, why is "Linux" mentioned? Is that important?

Comment 25 Christopher Meng 2014-02-25 14:08:03 UTC
(In reply to Mukundan Ragavan from comment #22)
> Ryan, That looks good. I think almost everything is done. Just a couple of
> minor issues and then I think it's done.
> 
> [ ]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
>      /usr/share/indicators, /usr/share/indicators/messages,
>      /usr/share/locale/sr_RS@latin,
>      /usr/share/indicators/messages/applications
> 
> [ ]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/indicators,
>      /usr/share/locale/sr_RS@latin,
>      /usr/share/indicators/messages/applications, /usr/share/appdata,
>      /usr/share/locale/sr_RS@latin/LC_MESSAGES,
> /usr/share/indicators/messages
> 
> Here, based on my discussion on #fedora-devel, we can ignore the messages
> about the locales since these should be owned by the filesystem.

If it's a bug in filesystem package, please report.

Comment 26 Ryan Lerch 2014-02-25 14:52:37 UTC
(In reply to Mukundan Ragavan from comment #22)
> Ryan, That looks good. I think almost everything is done. Just a couple of
> minor issues and then I think it's done.
> 
> [ ]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
>      /usr/share/indicators, /usr/share/indicators/messages,
>      /usr/share/locale/sr_RS@latin,
>      /usr/share/indicators/messages/applications
> 
> [ ]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/indicators,
>      /usr/share/locale/sr_RS@latin,
>      /usr/share/indicators/messages/applications, /usr/share/appdata,
>      /usr/share/locale/sr_RS@latin/LC_MESSAGES,
> /usr/share/indicators/messages
> 
> Here, based on my discussion on #fedora-devel, we can ignore the messages
> about the locales since these should be owned by the filesystem.
> 
> The package must own /usr/share/indicators.
> 
> So, add in %files section
> 
> %{_datadir}/indicators/*
> 
> instead of /usr/share/indicators/messages/applications/birdie so that the
> directory is owned by the package.
> 
> Based on -
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#The_directory_is_wholly_contained_in_your_package.
> 2C_or_involves_core_functionality_of_your_package
> 
> I believe that should be it. 
> 
> If you could please fix that, upload the spec and srpm (link is broken), I
> can run fedora-review again (just in case) and approve the package.

Thanks, Updated and pushed to my git repo here. 
https://github.com/ryanlerch/my-fedora-package-reviews/commit/b85b072fea776ff597f50219d5b20025acea9510

Comment 28 Mukundan Ragavan 2014-02-25 14:56:12 UTC
Would you be interested in looking in to updating the description and summary as per Michael's suggestion (comment #24)?

Comment 29 Mukundan Ragavan 2014-02-25 14:58:31 UTC
(In reply to Christopher Meng from comment #25)
> If it's a bug in filesystem package, please report.

Christopher, 

It's already done in rawhide.

$ rpm -qf /usr/share/locale/sr_RS@latin
filesystem-3.2-24.fc21.x86_64

Comment 30 Ryan Lerch 2014-02-25 15:18:18 UTC
(In reply to Mukundan Ragavan from comment #28)
> Would you be interested in looking in to updating the description and
> summary as per Michael's suggestion (comment #24)?

I am happy with the way it is.

Comment 31 Mukundan Ragavan 2014-02-25 15:21:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 41 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1068747-birdie/licensecheck.txt

---> This is fine.

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/sr_RS@latin/LC_MESSAGES,
     /usr/share/locale/sr_RS@latin

---> Verified that these directories are owned by filesystem in rawhide.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/appdata,
     /usr/share/locale/sr_RS@latin/LC_MESSAGES, /usr/share/locale/sr_RS@latin

---> This is fine. appdata is owned by other packages in rawhide.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in birdie
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in birdie
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in birdie
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: birdie-1.1-1.fc20.x86_64.rpm
          birdie-1.1-1.fc20.src.rpm
birdie.x86_64: W: no-manual-page-for-binary birdie
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint birdie
birdie.x86_64: W: no-manual-page-for-binary birdie
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
birdie (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcanberra.so.0()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgtksourceview-3.0.so.1()(64bit)
    libjavascriptcoregtk-3.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpurple.so.0()(64bit)
    librest-0.7.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libwebkitgtk-3.0.so.0()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
birdie:
    application()
    application(birdie.desktop)
    birdie
    birdie(x86-64)
    mimehandler(x-scheme-handler/birdie)



Source checksums
----------------
https://github.com/birdieapp/birdie/archive/1.1/birdie-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : c9b652b157f09241197c859d2c77f14becaf1b1031b1d2140dcc052a6227a338
  CHECKSUM(SHA256) upstream package : c9b652b157f09241197c859d2c77f14becaf1b1031b1d2140dcc052a6227a338


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1068747
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



**** Package APPROVED ****

Cheers, Ryan!

Comment 32 Ryan Lerch 2014-02-25 16:04:54 UTC
New Package SCM Request
=======================
Package Name: birdie
Short Description: A twitter client for Linux
Owners: ryanlerch
Branches: f20

Comment 33 Gwyn Ciesla 2014-02-25 18:54:11 UTC
Git done (by process-git-requests).

Comment 34 Fedora Update System 2014-02-25 21:28:28 UTC
birdie-1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/birdie-1.1-1.fc20

Comment 35 Fedora Update System 2014-02-26 14:07:49 UTC
birdie-1.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 36 Fedora Update System 2014-03-03 03:11:08 UTC
birdie-1.1-1.fc20 has been pushed to the Fedora 20 stable repository.